#2256 closed defect (fixed)

or1k not supported in librpc

Reported by: Joel Sherrill Owned by: Hesham Almatary
Priority: normal Milestone: 4.11
Component: network/legacy Version: 4.11
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

This is easy to fix if the or1k has IEEE floating point. It just needs to be added to the conditional list.

or1k-rtems4.11-gcc --pipe -mno-delay --pipe -DHAVE_CONFIG_H -I.. -I../../../lib/include -g -O2 -Wall -Wimplicit-function-declaration -Wstrict-prototypes -Wnested-externs -mno-delay -MT src/xdr/libxdr_a-xdr_float.o -MD -MP -MF src/xdr/.deps/libxdr_a-xdr_float.Tpo -c -o src/xdr/libxdr_a-xdr_float.o test -f 'src/xdr/xdr_float.c' || echo '../../../../../rtems/cpukit/librpc/'src/xdr/xdr_float.c
../../../../../rtems/cpukit/librpc/src/xdr/xdr_float.c:121:2: error: #error "xdr_float.c: unknown CPU"

#error "xdr_float.c: unknown CPU"


../../../../../rtems/cpukit/librpc/src/xdr/xdr_float.c: In function 'xdr_float':
../../../../../rtems/cpukit/librpc/src/xdr/xdr_float.c:134:21: error: storage size of 'is' isn't known

struct ieee_single is;


../../../../../rtems/cpukit/librpc/src/xdr/xdr_float.c:135:20: error: storage size of 'vs' isn't known

struct vax_single vs, *vsp;


../../../../../rtems/cpukit/librpc/src/xdr/xdr_float.c:146:8: error: dereferencing pointer to incomplete type

vs = *((struct vax_single *)fp);

Change History (5)

comment:1 Changed on Feb 10, 2015 at 4:59:58 PM by Hesham Almatary

Owner: set to Hesham Almatary
Status: newaccepted

comment:2 Changed on Feb 11, 2015 at 10:10:37 AM by Hesham Almatary

or1k is already part of the list. I can add or1knd to the conditional list, would this be the correct solution?

Last edited on Feb 11, 2015 at 10:11:58 AM by Hesham Almatary (previous) (diff)

comment:3 Changed on Mar 3, 2015 at 5:54:56 PM by Joel Sherrill

At this point, yes. That seems to be the best solution.

I don't think they should abuse the target name that way though.

Did we email the or1k folks about this long term?

comment:4 Changed on Mar 3, 2015 at 5:58:12 PM by Joel Sherrill

Hesham.. attach a patch to the file in librpc and anyone can apply it.

comment:5 Changed on Mar 3, 2015 at 6:52:49 PM by Hesham ALMatary <heshamelmatary@…>

Resolution: fixed
Status: acceptedclosed

In 396557412a6bab02116f1ce9c1020df68c8ce36d/rtems:

librpc: Include or1knd part of the recongnized CPUs at xdr_float.c

Close #2256

Note: See TracTickets for help on using tickets.